ALAS2-2021-1614


Amazon Linux 2 Security Advisory: ALAS-2021-1614
Advisory Release Date: 2021-03-18 01:13 Pacific
Advisory Updated Date: 2021-03-19 22:35 Pacific
Severity: Important
References: CVE-2020-8625 

Issue Overview:

A buffer overflow flaw was found in the SPNEGO implementation used by BIND. This flaw allows a remote attacker to cause the named process to crash or possibly perform remote code execution. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability. (CVE-2020-8625 )


Affected Packages:

bind


Issue Correction:
Run yum update bind to update your system.

New Packages:
aarch64:
    bind-9.11.4-26.P2.amzn2.4.aarch64
    bind-pkcs11-9.11.4-26.P2.amzn2.4.aarch64
    bind-pkcs11-utils-9.11.4-26.P2.amzn2.4.aarch64
    bind-pkcs11-libs-9.11.4-26.P2.amzn2.4.aarch64
    bind-pkcs11-devel-9.11.4-26.P2.amzn2.4.aarch64
    bind-sdb-9.11.4-26.P2.amzn2.4.aarch64
    bind-libs-lite-9.11.4-26.P2.amzn2.4.aarch64
    bind-libs-9.11.4-26.P2.amzn2.4.aarch64
    bind-utils-9.11.4-26.P2.amzn2.4.aarch64
    bind-devel-9.11.4-26.P2.amzn2.4.aarch64
    bind-lite-devel-9.11.4-26.P2.amzn2.4.aarch64
    bind-chroot-9.11.4-26.P2.amzn2.4.aarch64
    bind-sdb-chroot-9.11.4-26.P2.amzn2.4.aarch64
    bind-export-libs-9.11.4-26.P2.amzn2.4.aarch64
    bind-export-devel-9.11.4-26.P2.amzn2.4.aarch64
    bind-debuginfo-9.11.4-26.P2.amzn2.4.aarch64

i686:
    bind-9.11.4-26.P2.amzn2.4.i686
    bind-pkcs11-9.11.4-26.P2.amzn2.4.i686
    bind-pkcs11-utils-9.11.4-26.P2.amzn2.4.i686
    bind-pkcs11-libs-9.11.4-26.P2.amzn2.4.i686
    bind-pkcs11-devel-9.11.4-26.P2.amzn2.4.i686
    bind-sdb-9.11.4-26.P2.amzn2.4.i686
    bind-libs-lite-9.11.4-26.P2.amzn2.4.i686
    bind-libs-9.11.4-26.P2.amzn2.4.i686
    bind-utils-9.11.4-26.P2.amzn2.4.i686
    bind-devel-9.11.4-26.P2.amzn2.4.i686
    bind-lite-devel-9.11.4-26.P2.amzn2.4.i686
    bind-chroot-9.11.4-26.P2.amzn2.4.i686
    bind-sdb-chroot-9.11.4-26.P2.amzn2.4.i686
    bind-export-libs-9.11.4-26.P2.amzn2.4.i686
    bind-export-devel-9.11.4-26.P2.amzn2.4.i686
    bind-debuginfo-9.11.4-26.P2.amzn2.4.i686

noarch:
    bind-license-9.11.4-26.P2.amzn2.4.noarch

src:
    bind-9.11.4-26.P2.amzn2.4.src

x86_64:
    bind-9.11.4-26.P2.amzn2.4.x86_64
    bind-pkcs11-9.11.4-26.P2.amzn2.4.x86_64
    bind-pkcs11-utils-9.11.4-26.P2.amzn2.4.x86_64
    bind-pkcs11-libs-9.11.4-26.P2.amzn2.4.x86_64
    bind-pkcs11-devel-9.11.4-26.P2.amzn2.4.x86_64
    bind-sdb-9.11.4-26.P2.amzn2.4.x86_64
    bind-libs-lite-9.11.4-26.P2.amzn2.4.x86_64
    bind-libs-9.11.4-26.P2.amzn2.4.x86_64
    bind-utils-9.11.4-26.P2.amzn2.4.x86_64
    bind-devel-9.11.4-26.P2.amzn2.4.x86_64
    bind-lite-devel-9.11.4-26.P2.amzn2.4.x86_64
    bind-chroot-9.11.4-26.P2.amzn2.4.x86_64
    bind-sdb-chroot-9.11.4-26.P2.amzn2.4.x86_64
    bind-export-libs-9.11.4-26.P2.amzn2.4.x86_64
    bind-export-devel-9.11.4-26.P2.amzn2.4.x86_64
    bind-debuginfo-9.11.4-26.P2.amzn2.4.x86_64